Package org.eclipse.core.runtime

# Interface IBundleGroup

public interface IBundleGroup
Bundle groups represent a logical collection of plug-ins (aka bundles). Bundle groups do not contain their constituents but rather collect them together under a common label. The main role of a bundle group is to report to the system (e.g., the About dialog) what bundles have been installed. They are not intended for use in managing the set of bundles they represent.

Since the bulk of the branding related information is specific to the consumer, bundle groups also carry an arbitrary set of properties. The valid set of key-value pairs and their interpretation defined by the consumer in the target environment.

The Eclipse UI is the typical consumer of bundle groups and defines various property keys that it will use, for example, to display About information. See `org.eclipse.ui.branding.IBundleGroupConstants`.

Since:
  3.0
See Also:
  - `IBundleGroupProvider`

## Method Summary

Modifier and Type
Method
Description
`Bundle[]`
`getBundles()`
Returns a list of all bundles supplied by this bundle group.
`String`
`getDescription()`
Returns a text description of this bundle group.
`String`
`getIdentifier()`
Returns the identifier of this bundle group.
`String`
`getName()`
Returns the human-readable name of this bundle group.
`String`
`getProperty(String key)`
Returns the property of this bundle group with the given key.
`String`
`getProviderName()`
Returns the name of the provider of this bundle group.
`String`
`getVersion()`
Returns the version of this bundle group.

## Method Details

### getIdentifier

String getIdentifier()
Returns the identifier of this bundle group. Bundle groups are uniquely identified by the combination of their identifier and their version.

Returns:
  the identifier for this bundle group
See Also:
  - `getVersion()`

### getName

String getName()
Returns the human-readable name of this bundle group.

Returns:
  the human-readable name

### getVersion

String getVersion()
Returns the version of this bundle group. Bundle group version strings have the same format as bundle versions (i.e., major.minor.service.qualifier). Bundle groups are uniquely identified by the combination of their identifier and their version.

Returns:
  the string form of this bundle group's version
See Also:
  - `getIdentifier()`

### getDescription

String getDescription()
Returns a text description of this bundle group.

Returns:
  text description of this bundle group

### getProviderName

String getProviderName()
Returns the name of the provider of this bundle group.

Returns:
  the name of the provider or `null` if none

### getBundles

Bundle[] getBundles()
Returns a list of all bundles supplied by this bundle group.

Returns:
  the bundles supplied by this bundle group

### getProperty

String getProperty(String key)
Returns the property of this bundle group with the given key. `null` is returned if there is no such key/value pair.

Parameters:
  `key` - the name of the property to return
Returns:
  the value associated with the given key or `null` if none